#
# spec file for package python3-spark_parser
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-spark_parser
Version:        1.5.1
Release:        1.2
Summary:        An Early-Algorithm Context-free grammar Parser
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/rocky/python3-spark/
Source:         https://files.pythonhosted.org/packages/source/s/spark_parser/spark_parser-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
SPARK stands for Scanning, Parsing, and Rewriting Kit. It uses Jay
Early's algorithm for parsing context free grammars, and comes with
some generic Abstract Syntax Tree routines. There is also a prototype
scanner which does its job by combining Python regular expressions.

The original version of this was written by John Aycock and was
described in his 1998 paper: "Compiling Little Languages in Python" at
the 7th International Python Conference.

Note: Early algorithm parsers are almost linear when given an LR grammar.
These are grammars which are left-recursive.

%prep
%setup -q -n spark_parser-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE ChangeLog README.rst
%{python3_sitelib}/*

%changelog
* Mon Dec  5 2016 arun@gmx.de
- update to version 1.5.1:
  * Add add limited Kleene closure symbols *, +, and optional suffix ?
    in grammar rules.
  * Use these to simplify Python2 grammar
  * Improve coverage in tests of Python2 grammar
  * Start a NEW-FEATURES file
  * Error if start symbol is not on LHS of grammar
  * Check for totally recursive rules
* Sat Nov 26 2016 arun@gmx.de
- update to version 1.5.0:
  * User-definable reduction check. This allows one to specify an
    additional check before a rediction is made. For example in
    uncompyle6 we check whether a SETUP_LOOP target jumps to the last
    token of the rule. Or that an augmented assignment statement
    doesn't have inplace-binary operators
  * User defined reduce printing rule. For example, the uncompyle6
    token class has line numbers and offsets associated with them. We
    can show these as part of the reduction rule.
  * Go over python 2 grammar and improve, but some indentation things
    are slightly worse. Sigh.
  * spark.py Fix small python2 print bug
- changes from version 1.4.3:
  * handle Python 2.3 via the 2.4 branch
  * change grammer dup debug switch from 'rules' (already used) to
    'dup'
- changes from version 1.4.2:
  * Fix botched release
  * handle Python 2.5 via the 2.4 branch
- changes from version 1.4.1:
  * Elimiate duplicate grammar rules
  * Allow hook for additional reduction testing
  * Fix up setup.py: tests_require not test_requires
  * Python 2.5 tolerance
  * update example doc
* Fri Sep 23 2016 toddrme2178@gmail.com
- Initial version
